Subject: bug#5937: 23.1.95; why saving empty abbrev tables

From: Leo <[email-masked]>
Date: Tue, 27 Apr 2010 11:32:33 +0100

On 2010-04-27 09:46 +0100, Leo wrote:
> When I first tried out abbrev I was confused at edit-abbrevs by all
> those empty tables. For example, the editing abbrevs buffer could easily
> have 1000 lines with the empty tables show up. I thought I had done
> something wrong with those C-x ail stuff. In the end I didn't use abbrev
> for 2-3 years until last year when I started using snippet.

While recollecting some of the surprises, I think there's another one.
The meaning of C-x C-s is different in edit-abbrevs.

C-x C-s usually means things have been saved and are safe unless
something happen to the harddisk.

In abbrevs it is not. And sometimes one doesn't get the chance to
actually save it because emacs crashes halfway.

I would propose separating C-x C-s and C-c C-c. C-x C-s should stay
close to the global key binding.

Leo